{% extends 'shopapp/base.html' %}

{% block title %}
    Order №{{ object.pk }} details
{% endblock %}

{% block body %}
    <h1>Order №{{ object.pk }}</h1>
    <div>
        <p>Order by: {% firstof object.user.first_name object.user.username %}</p>
        <p>Promocode: {{ object.promocode }}</p>
        <p>Delivery address{{ object.delivery_address }}</p>
        <div>
            Product in order:
            <ul>
                {% for product in object.products.all %}
                    <li>{{ product.name }} for ${{ product.price }}</li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div>
        <a href="{% url 'shopapp:order_update' pk=order.pk %}">Update order</a>
        <br>
        <a href="{% url 'shopapp:order_delete' pk=order.pk %}">Delete order</a>
        <br>
        <a href="{% url 'shopapp:orders_list' %}">Back to orders list</a>
    </div>
{% endblock %}